;;; -*- Mode: Lisp -*-
;;;; MaiSQL --- Common Lisp Interface Layer to SQL Databases
;;;; This is copyrighted software.  See documentation for terms.
;;;; 
;;;; MaiSQL.system --- System definition for MaiSQL-MySQL
;;;; 
;;;; Checkout Tag: $Name: debian_version_1_2_1-1 $
;;;; $Id: system.lisp,v 1.6 2002/08/18 20:50:32 ayres Exp $

#+CLISP
(in-package "USER")
#-CLISP
(in-package :CL-USER)

;;; System definition

(mk:defsystem "UncommonSQL-MySQL"
    :source-pathname "cl-library:uncommonsql;dbms;mysql"
    :source-extension "lisp"
    :components
    ((:file "mysql-package")
     (:file "mysql-loader"
	    :depends-on ("mysql-package"))
     (:file "mysql"
	    :depends-on ("mysql-package"
			 "mysql-loader"))
     (:file "mysql-sql"
	    :depends-on ("mysql"))
      (:file "mysql-objects")     
     )
    :depends-on (:uncommonsql)
    )

(mk:oos "UncommonSQL-MySQL" :compile)

